

#include <stdio.h>

#include <stdlib.h>


#include <string.h>

#include <array.h>


#include <dirent.h> // "DIR *"

#include <text.h>

#include <unistd.h>

#include <sys/types.h>

#include <sys/stat.h>


#ifdef WIN32
#include <io.h>
#define F_OK 0
#define access _access
#endif

int fileSystem_textIsFilename( char * value );

char * fileSystem_readFile( char * );

void fileSystem_writeFile( char *, char * );

struct array * fileSystem_readDir( char * filePath );

int fileSystem_exists( char * path );

int fileSystem_makeDirectory( char * path );

void fileSystem_ensureDirectory( char * filePath );

